<!--

	//Variaveis de sistema
	var FLUXO_CORRETA = 1
	var FLUXO_ERRADA = 2
	var PG_TEMPLATE
	
	/*
	Descrição:
	Entrada:
	Saída:
	*/
	function direcionarFluxo(objTentativas, objAlternativas, objXML) {

		var caminho
		var correta
		var novoFluxo
		var totalFluxo
		var elementFluxo
		var pathnameGravado
		var totalTentativas
		
		pathnameGravado = parent.frames["base"].document.getElementById("pathname").value
		pathnameAtual = location.pathname
		
		//Condicional necessario para verificar se o usuario esta respondendo pela primeira vez
		if(pathnameGravado != pathnameAtual) {
			objTentativas.value = 1
			parent.frames["base"].document.getElementById("pathname").value = pathnameAtual
		}
		
		totalTentativas = parseInt(objTentativas.value)
		elementFluxo = objXML.getElementsByTagName("fluxo")
		totalFluxo = elementFluxo.length
				
		correta = corrigir(getCorreta(objXML), filtrarAlt(objAlternativas))
		
		if(correta) {
			novoFluxo = FLUXO_CORRETA
			PG_TEMPLATE = "../../pgAvisos/sucesso.html"
			objTentativas.value = 1
		}
		else if((totalFluxo - 2) >= parseInt(objTentativas.value)) {
			novoFluxo = totalTentativas + 2
			PG_TEMPLATE = "../../pgAvisos/novaChance.html"
			objTentativas.value = totalTentativas + 1
		}
		else {
			novoFluxo = FLUXO_ERRADA
			PG_TEMPLATE = "../../pgAvisos/falha.html"
			objTentativas.value = 1
		}
						
		for(var i = 0; i < totalFluxo; i++) {
			if(parseInt(elementFluxo[i].getAttribute("id")) == novoFluxo) {
				caminho = elementFluxo[i].firstChild.nodeValue
				break
			}
		}
								
		return caminho
	}
	
	function getCorreta(objXML) {
		
			var elementCorreta
			
			elementCorreta = objXML.getElementsByTagName("correta")
			
			var corretas = new Array(elementCorreta.length)
			
			for(var i = 0; i < elementCorreta.length; i++) {
				corretas[i] = elementCorreta[i].firstChild.nodeValue
			}
			
			return corretas
	}
	
	function filtrarAlt(objAlternativas) {
		
		var objEcolhidas = new Array()
		
		for(var i = 0; i < objAlternativas.length; i++) {
			if(objAlternativas[i].checked)
				objEcolhidas.push(objAlternativas[i].value)
		}
		
		return objEcolhidas.reverse()
	}
	
	function corrigir(corretas, escolhidas) {

		var i, j
		var correta, errada

		i = j = 0
		correta = true
		
		if(corretas.length == escolhidas.length) {
			for(i = 0; i < corretas.length; i++) {
				errada = true
				for(j = 0; j < escolhidas.length; j++) {
					if(corretas[i] == escolhidas[j]) {
						errada = false
						break
					}
				}
				if(errada) {
					correta = false
					break
				}
			}
		}
		else {
			correta = false
		}
		
		return correta
	}
	
	function avaliar(objTentativas, objAlternativas, arquivoXML) {
		
		criarObjXML(objTentativas, objAlternativas, arquivoXML)
	}

	function encaminharPG(objTentativas, objAlternativas, objXML) {

		var caminho
		
		caminho = direcionarFluxo(objTentativas, objAlternativas, objXML)
		
		parent.frames["base"].document.getElementById("seguirPara").value = caminho
		
		redirecionar("principal", PG_TEMPLATE)
		
		return
	
	}
	
	
//-->